# # #
# /59/jruby_clipboard_oneliners.rb
# (c) 2012 Jan Lelis <mail@janlelis.de>. MIT License.
# See: https://rbjl.janlelis.com/59-access-the-system-clipboard-with-jruby
# # #

def copy(text)
  Java::JavaAwt::Toolkit.default_toolkit.system_clipboard.set_contents(Java::JavaAwtDatatransfer::StringSelection.new(text), nil)
end

def paste
  Java::JavaAwt::Toolkit.default_toolkit.system_clipboard.get_data(Java::JavaAwtDatatransfer::DataFlavor.stringFlavor)
end
